### Class

# EDataBook DataBookDirect

#### Description

    class EDataBook.DataBookDirect : GObject.Object
    {
      EDataBookDirectPrivate* priv
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### e_data_book_direct_new

Creates an `EDataBookDirect` to report configuration data needed for direct read access.

since: 3.8

#### Instance methods

###### e_data_book_direct_register_gdbus_object

Places `direct` on the `connection` at `object_path`.

since: 3.8

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EDataBookDataBookDirectClass {
      GObjectClass parent;

    }

No description available.

###### Class members

`parent: GObjectClass`

  No description available.